<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>phybo_beta.phybo</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="phybo_beta-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="phybo_beta-module.html">Module&nbsp;phybo_beta</a> ::
        Class&nbsp;phybo
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="phybo_beta.phybo-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class phybo</h1><p class="nomargin-top"><span class="codelink"><a href="phybo_beta-pysrc.html#phybo">source&nbsp;code</a></span></p>
<pre class="base-tree">
object --+
         |
        <strong class="uidshort">phybo</strong>
</pre>

<hr />
<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">fibo_obj</span>)</span><br />
      Basically a repository for all your scientific routines</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#calc_ref_change" class="summary-sig-name">calc_ref_change</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_str</span>,
        <span class="summary-sig-arg">fix_point</span>)</span><br />
      Transforms reference frame so that in fix_point single-fluid is still</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_ref_change">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#calc_Psi" class="summary-sig-name">calc_Psi</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_str</span>,
        <span class="summary-sig-arg">cut_z</span>=<span class="summary-sig-default">0</span>)</span><br />
      Calculates magnetic flux function</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_Psi">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#calc_ED_decs" class="summary-sig-name">calc_ED_decs</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_str</span>)</span><br />
      Calculates the par ((and per)) components in all Ks and all Us</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_ED_decs">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#calc_lengths" class="summary-sig-name">calc_lengths</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_str</span>)</span><br />
      Calculates inertial and gyration lengths for ions and electrons</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_lengths">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#calc_energy_conv" class="summary-sig-name">calc_energy_conv</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_str</span>,
        <span class="summary-sig-arg">par_per</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">iso_Te</span>=<span class="summary-sig-default">True</span>)</span><br />
      Calculates all energy conversion rates</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_energy_conv">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="phybo_beta.phybo-class.html#calc_E_dec" class="summary-sig-name">calc_E_dec</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_str</span>)</span><br />
      Decomposes E according to the generalized Ohm's law (most general 
      form: two Euler eqs summed)</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_E_dec">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">fibo_obj</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Basically a repository for all your scientific routines</p>
  <p>Parameters :</p>
  <ul>
    <li>
      fibo_obj    [fibo] whose data and meta-data will be used in 
      computations
    </li>
  </ul>
  <dl class="fields">
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="calc_ref_change"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_ref_change</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_str</span>,
        <span class="sig-arg">fix_point</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_ref_change">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Transforms reference frame so that in fix_point single-fluid is 
  still</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_str     [str] to complete the var names
    </li>
    <li>
      fix_point    [int,int,int] choose the point
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="calc_Psi"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_Psi</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_str</span>,
        <span class="sig-arg">cut_z</span>=<span class="sig-default">0</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_Psi">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Calculates magnetic flux function</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_str     [str] to complete the var names
    </li>
    <li>
      cut_z = 0    [int] choose the level for this computation
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="calc_ED_decs"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_ED_decs</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_str</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_ED_decs">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Calculates the par ((and per)) components in all Ks and all Us</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_str     [str] to complete the var names
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="calc_lengths"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_lengths</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_str</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_lengths">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Calculates inertial and gyration lengths for ions and electrons</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_str     [str] to complete the var names
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="calc_energy_conv"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_energy_conv</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_str</span>,
        <span class="sig-arg">par_per</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">iso_Te</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_energy_conv">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Calculates all energy conversion rates</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_str     [str] to complete the var names
    </li>
    <li>
      par_per      [bool] do you want also par ((and per))?
    </li>
    <li>
      iso_Te       [bool] isothermal code?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="calc_E_dec"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_E_dec</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_str</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="phybo_beta-pysrc.html#phybo.calc_E_dec">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Decomposes E according to the generalized Ohm's law (most general 
  form: two Euler eqs summed)</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_str      [str] to indicate temporal exit ..
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="phybo_beta-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Wed Nov 20 22:52:13 2019
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
